/*nls.h
  Yury P. Fedorchenko 2009
*/
/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor Boston, MA 02110-1301,  USA
 */


#ifndef __flmnwnls_h__
#define __flmnwnls_h__

//#include "config.h"
#define ENABLE_NLS 1
/*
  This is dummy nls file now.
  reserved fo future
*/

#ifndef WIN32
#define MNW_LOC_DIR LOCALE_DIR
#else
#define MNW_LOC_DIR "./locale"
#endif

#if ENABLE_NLS
# include <libintl.h>
#else
# define gettext(msgid) (msgid)
# define textdomain(domain)
# define bindtextdomain(domain, dir)
#endif

#define _(msgid) gettext (msgid)
#define gettext_noop(msgid) msgid
#define N_(msgid) gettext_noop (msgid)


#endif //__flmnwnls_h__
#ifndef __MY_GETTEXT_H
#define __MY_GETTEXT_H


#endif /* __MY_GETTEXT_H */

